.attributes {
  display: flex;
  flex-direction: column;
  background-color: var(--gray-1);
  border-radius: 0.8rem;
  gap: 1.6rem;
}

.prod-option {
  --attr-height: 5rem;
  --border-radius: 0.4rem;

  padding-left: 2.4rem;
  padding-right: 2.4rem;
  padding-bottom: 2.4rem;

  &:first-of-type {
    padding-top: 2.4rem;
  }

  &:last-of-type {
    padding-bottom: 2.4rem;
  }

  > .topic-title {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 0.8rem;
    font-size: var(--font-size-small);
    font-weight: var(--font-weight-base);
    color: var(--gray-4);
    margin-bottom: 0.8rem;
  }

  > .topic-title .value {
    color: var(--black);
    margin-right: auto;
    display: none;

    &.-visible {
      display: block;
    }
  }

  > .topic-title .value.-visible + .btn-medidas {
    margin-left: 0;
  }

  > .topic-title .btn-medidas {
    position: relative;
    font-size: var(--font-size-small);
    font-weight: var(--font-weight-base);
    color: var(--gray-4);
    display: flex;
    align-items: center;
    margin-left: auto;
    padding-bottom: 0.4rem;
  }

  > .topic-title .btn-medidas::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background-color: var(--gray-4);
    transform-origin: 0% 50%;
    transform: scaleX(1);
    transition: var(--transition);

    @include media("md") {
      transform: scaleX(0);
    }
  }

  > .topic-title .btn-medidas:hover::after {
    @include media("md") {
      transform: scaleX(1);
    }
  }

  > .topic-title .btn-medidas svg {
    min-width: 1.6rem;
    width: 1.6rem;
    height: 1.6rem;
    margin-right: 0.8rem;
    color: var(--gray-4);
  }

  > .inner {
    position: relative;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
    gap: 1.6rem;
  }

  > .inner input[type="radio"] {
    display: none;
  }

  // Atributo selecionado e hover no atributo
  > .inner input[type="radio"]:checked + .label,
  > .inner .label:hover {
    .text {
      color: var(--white);
      background-color: var(--black);
    }

    .colors {
      box-shadow: 0px 0px 0px 2px var(--gray-4);
    }

    &.-unavailable .text {
      color: var(--white);
      background-color: var(--gray-3);
    }

    &.-unavailable .text::after {
      background-color: var(--white);
    }
  }

  > .inner .label {
    cursor: pointer;
    position: relative;
    &.-disabled {
      display: none !important;
    }

    &:hover .tooltip {
      opacity: 1;
    }
  }

  // Atributo indisponível (texto e cor)
  > .inner .label.-unavailable {
    opacity: 0.5;

    .text {
      color: var(--gray-3);
    }

    .text::after {
      content: "";
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%) rotate(-35deg);
      background-color: var(--gray-3);
      width: 90%;
      height: 0.1rem;
      display: block;
    }

    .colors::after {
      content: "";
      position: absolute;
      top: 50%;
      left: 50%;
      width: 85%;
      height: 0.1rem;
      background-color: var(--white);
      transform: translate(-50%, -50%) rotate(-45deg);
    }

    .colors.-white::after {
      background-color: var(--gray-3);
    }
  }

  // Atributo disponível de texto
  > .inner .label .text {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: var(--border-radius);
    min-width: 4.8rem;
    height: 3.4rem;
    padding: 0.4rem 1.6rem;
    border: 0.1rem solid transparent;
    font-size: var(--font-size-small);
    font-weight: 500;
    color: var(--gray-4);
    text-align: center;
    transition: var(--transition);
    white-space: nowrap;
  }

  > .inner .label.-available .text {
    border-color: var(--gray-4);
  }

  // Atributo disponível de cor
  > .inner .colors {
    width: 3.2rem;
    height: 3.2rem;
    position: relative;
    display: flex;
    border-radius: 50%;
    overflow: hidden;
    transition: box-shadow 0.2s;
    border: 0.2rem solid transparent;

    &.-white {
      box-shadow: 0px 0px 0px 1px var(--gray-2);
    }

    > .color {
      flex: 1;
    }
  }

  // Tooltip da cor
  > .inner .tooltip {
    position: absolute;
    z-index: 2;
    left: 50%;
    top: -20px;
    transform: translateX(-50%);
    display: inline-block;
    padding: 0.4rem 0.6rem;
    border-radius: 0.2rem;
    font-size: 1rem;
    background-color: var(--gray-4);
    color: var(--white);
    line-height: 1;
    white-space: nowrap;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.2s;
  }
}

// Personalizações
.prod-option.-customization {
  // Personalização sem estoque (opções)
  > .inner .label.-unavailable {
    pointer-events: none !important;
  }

  // Personalização de texto
  > .inner [type="text"] {
    width: 100%;
    height: var(--attr-height);
    padding: 0.4rem 1.6rem;
    border-radius: var(--border-radius);
    border: 1px solid var(--gray-4);
    font-size: var(--font-size-small);
  }

  // Personalização de texto - textarea
  > .inner textarea {
    width: 100%;
    padding: 0.8rem 1.6rem;
    border-radius: var(--border-radius);
    border: 1px solid var(--gray-4);
    font-size: var(--font-size-small);
    resize: vertical;
  }
}

// Modelo em Dropdown
.prod-option.-dropdown {
  display: block;
  // Com somente uma opção, fica exibido mas de forma informativa
  &.-hidden {
    .list {
      pointer-events: none;
    }
  }

  // Adiciona seta quando tem mais de uma opção
  &:not(.-hidden) .inner {
    &::after {
      content: "";
      position: absolute;
      top: calc(var(--attr-height) * 0.32);
      right: 1.6rem;
      display: inline-block;
      margin: 3px 3px 1px 8px;
      padding: 3px;
      border: solid var(--gray-3);
      border-width: 0 0 1px 1px;
      transform: rotate(-45deg);
      pointer-events: none;
      transition: transform 0.2s;
      z-index: 10;
    }

    &.-choosing {
      z-index: 11;
    }

    &.-choosing::after {
      transform: rotate(135deg);
    }
  }

  > .inner {
    min-height: var(--attr-height);
  }

  > .inner .list {
    display: grid;
    width: 100%;
    max-height: var(--attr-height);
    overflow: hidden;
    border-radius: var(--border-radius);
    border: 1px solid var(--gray-2);
  }

  // Estilo da lista de dropdown, quando clica para abrir as opções
  > .inner.-choosing .list {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 10;
    height: auto;
    max-height: calc(var(--attr-height) * 4);
    overflow-y: auto;
    border-radius: unset;
    box-shadow: 4px 8px 8px rgba(0, 0, 0, 0.16);

    .label {
      display: flex;
      opacity: 1;
    }

    &::-webkit-scrollbar-button {
      display: none;
    }

    &::-webkit-scrollbar {
      width: 4px;
      height: 100%;
      background-color: var(--white);
    }

    &::-webkit-scrollbar-thumb {
      background-color: var(--primary-color);
    }
  }

  // Estilo das opções no dropdown
  > .inner .label {
    display: none;
    width: 100%;
    align-items: center;
    background-color: var(--white);
    height: var(--attr-height);
    cursor: pointer;
    order: 2;
    opacity: 0;
    transition: opacity 0.2s, background-color 0.2s;

    &.-unavailable {
      opacity: 1;
      color: var(--gray-3);

      .text {
        color: var(--gray-3);

        &::after {
          width: 50%;
        }
      }
    }

    &:hover {
      background-color: var(--gray-1) !important;

      &.-unavailable .text::after {
        background-color: var(--gray-4);
      }

      .text {
        color: var(--gray-4);
        background-color: transparent;
        font-weight: 700;
      }

      .tooltip {
        font-weight: 700;
        color: var(--gray-4);
      }
    }
  }

  // Atributos em texto
  > .inner .text {
    justify-content: flex-start;
    height: var(--attr-height);
    color: var(--gray-3);
    border: unset;
    border-radius: 0;
    transition: background-color 0.1s;
  }

  // Atributos em cor
  > .inner .colors {
    width: 2.4rem;
    height: 2.4rem;
    margin-left: calc(1.8rem - 0.2rem);
    box-shadow: none !important;

    &.-white {
      box-shadow: 0 0 0 1px var(--gray-2) !important;
    }

    & + .tooltip {
      flex: 1;
      position: relative;
      top: unset;
      left: unset;
      transform: unset;
      display: flex;
      align-items: center;
      opacity: 1;
      background-color: transparent;
      margin-left: 0.4rem;
      color: var(--gray-3);
      font-size: var(--font-size-small);
    }
  }

  // Garante opção escolhida sempre visível quando fechado
  > .inner .input:checked + .label {
    display: flex;
    opacity: 1 !important;
    background-color: transparent;
    color: var(--gray-4);
    order: 1;

    .tooltip {
      color: var(--gray-4);
      font-weight: var(--font-weight-base);
    }

    .text {
      font-weight: var(--font-weight-base);
      background-color: transparent;
      color: var(--gray-4);
    }

    &.-unavailable .text {
      color: var(--gray-3);
      background-color: transparent;

      &::after {
        background-color: var(--gray-3);
      }
    }
  }
}
